class MakeVideoReleaseConfirmationsPolymorphic < ActiveRecord::Migration[5.2]
  def change
    remove_foreign_key  :video_release_confirmations, :appearance_releases
    rename_column       :video_release_confirmations, :appearance_release_id, :releasable_id
    add_column          :video_release_confirmations, :releasable_type, :string, after: :releasable_id
    add_index           :video_release_confirmations, [:releasable_id, :releasable_type], name: "index_video_release_confirmations_on_releasable_id_and_type"
  end
end
